<template>
  <div>
    <myContextMenu @operateDirectory="getMethod"></myContextMenu>
    <contrast ref="contrast"></contrast>
  </div>
</template>

<script>
import contrast from '@/views/components/dialog/menuDialog/contrast.vue'
export default {
  components: {
    contrast
  },
  props: {},
  data() {
    return {
    };
  },
  watch: {},
  computed: {},
  created() {},
  mounted() {},
  methods: {
    getMethod(type){
        if(this[type]){
           this[type]() 
        }
    },
    //波浪线
    wave(){
        console.log('波浪线')
    },
    //下划线
    underscore(){
      console.log('下划线')
    },
    //高亮
    highlight(){
      console.log('高亮')
    },
    //批注
    mark(){
      console.log('批注')
    },
    //修改颜色
    changeColor(){
      console.log('修改颜色')
    },
    //对比
    contrast(){
      console.log('对比')
      this.$refs.contrast.open()
    },
    //删除批注
    deleteMark(){
      console.log('删除')
    },
  },
};
</script>
<style lang="scss" scoped>
</style>